convolution_forward<{{name|upper}}_NB_CHANNELS,
                    {{name|upper}}_CHANNELS_HEIGHT,
                    {{name|upper}}_CHANNELS_WIDTH,
                    {{name|upper}}_NB_OUTPUTS,
                    {{name|upper}}_OUTPUTS_HEIGHT,
                    {{name|upper}}_OUTPUTS_WIDTH,
                    {{name|upper}}_PADDING_Y,
                    {{name|upper}}_PADDING_X,
                    {{name|upper}}_STRIDE_Y,
                    {{name|upper}}_STRIDE_X,
                    {{name|upper}}_DILATION_Y,
                    {{name|upper}}_DILATION_X,
                    {{name|upper}}_KERNEL_HEIGHT,
                    {{name|upper}}_KERNEL_WIDTH,
                    {{name|upper}}_ACTIVATION,
                    {{name|upper}}_in_t,
                    UDATA_T>
                    ({{input_name}}, {{output_name}}, {{weights_name}}, {{biases_name}}, {{name|upper}}_RESCALING);
